# $Revision: 1.8 $, $Date: 2010/05/26 12:07:54 $
# TODO
# - phorum-mod-htmlpurifier package: plugins/phorum
# - apidocs package: docs
# - run tests
%include	/usr/lib/rpm/macros.php
%define		php_min_version 5.1.2
Summary:	Standards-compliant HTML filter library written in PHP
Summary(pl.UTF-8):	Zgodna ze standardami biblioteka filtrująca HTML napisana w PHP
Name:		php-htmlpurifier
Version:	4.1.0
Release:	1
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	http://htmlpurifier.org/releases/htmlpurifier-%{version}.tar.gz
# Source0-md5:	d8a4388a7fe475db6a625f0c1b30bcae
URL:		http://www.htmlpurifier.org/
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-ctype
Requires:	php-dom
Requires:	php-pcre
Requires:	php-spl
Requires:	php-xml
Suggests:	php-iconv
Suggests:	php-tidy
Obsoletes:	htmlpurifier
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# bad depsolver
%define		_noautopear	pear

# exclude optional php dependencies
%define		_noautophp	php-curl

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
HTML Purifier is a standards-compliant HTML filter library written in
PHP. HTML Purifier will not only remove all malicious code (better
known as XSS) with a thoroughly audited, secure yet permissive
whitelist, it will also make sure your documents are standards
compliant, something only achievable with a comprehensive knowledge of
W3C's specifications.

%description -l pl.UTF-8
HTML Purifier to zgodna ze standardami biblioteka filtrująca HTML
napisana w PHP. Nie tylko usuwa cały niebezpieczny kod (bardziej znany
jako XSS) z dobrze zaudytowaną i bezpieczną listą przypadków
akceptowanych, ale także upewnia się, że dokumenty są zgodne ze
standardami, co jest zwykle osiągalne tylko z dobrą znajomością
specyfikacji W3C.

%prep
%setup -qn htmlpurifier-%{version}
find -name '*.php' -print0 | xargs -0 %undos
mv INSTALL.fr{.utf8,}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a library/* $RPM_BUILD_ROOT%{php_data_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS INSTALL README TODO WHATSNEW WYSIWYG
%doc FOCUS NEWS VERSION WHATSNEW
%doc %lang(fr) INSTALL.fr
%{php_data_dir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-htmlpurifier.spec,v $
Revision 1.8  2010/05/26 12:07:54  glen
- obsolete old name

Revision 1.7  2010/05/26 10:31:59  glen
- up to 4.1.0

Revision 1.6  2010/05/16 14:13:57  sparky
- BR: unzip

Revision 1.5  2008/07/29 08:37:34  glen
- 2.1.5

Revision 1.4  2008/01/13 10:37:04  qboosh
- pl

Revision 1.3  2007-12-26 20:43:35  zbyniu
- up to 2.1.3

Revision 1.2  2007-10-18 21:06:48  glen
- package files, deps

Revision 1.1  2007/10/18 20:43:16  glen
- new, unfinished
